Required SQL Server patch for Columnstore

This week we increased the minimum required SQL Server 2014 patch for using the Columnstore with SAP BW. You should upgrade to:

As a matter of course you might apply any newer SQL Server Patch instead. You can always download the latest SQL Server patches from:

SQL Server 2014 SP1 CU1 solves particularly the following issues:

  1. Sporadic issues with SQL error 35377 do not occur any more.
    See SAP Note 2153188 – SQL Error 35377 for details
  2. BW cube compression of the Flat Cube is much faster:
    See SAP Note 2153188 – SQL Error 35377 for details
  3. A potential issue regarding a physical inconsistency is fixed.
    See for details. Although we have never seen this issue on an SAP system yet, we strongly recommend applying the SQL Server patch above.

We have updated SAP Note 2116639 – SQL Server 2014 Columnstore documentation, which always contains the latest news regarding SQL Server Columnstore on SAP BW.